package md

// 直推奖励结构
type ExtendRewardLvGrade struct {
	Lv                    int                     `json:"lv"`                       // 会员级别
	LvName                string                  `json:"lv_name"`                  // 会员名称
	ReturnType            []string                `json:"return_type"`              //返利类型
	ExtendPriceRewardList []ExtendPriceRewardList `json:"extend_price_reward_list"` // 直推奖励比例
}
type ExtendPriceRewardList struct {
	CoinID        string                      `json:"coin_id"`
	AreaAgent     ExtendPriceRewardListDetail `json:"area_agent"`
	CityAgent     ExtendPriceRewardListDetail `json:"city_agent"`
	ProvinceAgent ExtendPriceRewardListDetail `json:"province_agent"`
	UpLv          ExtendPriceRewardListDetail `json:"up_lv"`
}
type ExtendPriceRewardListDetail struct {
	BaseVal      string `json:"base_val"`
	Bili         string `json:"bili"`
	PositionBili string `json:"position_bili"`
}
